Bug 973058 - shellinabox ssl support need devel package on el6
shellinabox ssl support need devel package on el6
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: shellinabox (Show other bugs)
el6
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Simone Caronni
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 03:55 EDT by Sven Sternberger
Modified: 2013-06-29 14:17 EDT (History)
1 user (show)

See Also:
Fixed In Version: shellinabox-2.14-24.git88822c1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-12 16:10:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sven Sternberger 2013-06-11 03:55:21 EDT
Description of problem:
After installation the https don't work. Problem is that
the binarty is build agains libssl.so and this is only in
openssl-devel which is not a dependency of the package

Version-Release number of selected component (if applicable):
Arch        : x86_64
Version     : 2.14
Release     : 22.git88822c1.el6

How reproducible:
Install the package on a system without devel package, and point
your browser with https to the shellinabox port

Steps to Reproduce:
1. Install shellinabox
2. Start shellinabox
3. Point browser via https to shellinabox

Actual results:
SSL Error

Expected results:
Encrypted access to the shellinabox port, without the need to install
openssl-devel package

Additional info:
Comment 1 Simone Caronni 2013-06-11 08:23:25 EDT
Hello,

# rpm -q openssl-devel
package openssl-devel is not installed
# ls -alghs /usr/lib64/libssl.so*
   0 lrwxrwxrwx. 1 root   15 Apr 13 19:48 /usr/lib64/libssl.so.10 -> libssl.so.1.0.0
376K -rwxr-xr-x. 1 root 375K Mar  4 23:22 /usr/lib64/libssl.so.1.0.0
# rpm -q shellinabox
shellinabox-2.14-22.git88822c1.el6.x86_64
# ldd /usr/sbin/shellinaboxd 
	linux-vdso.so.1 =>  (0x00007fff7f53c000)
	libz.so.1 => /lib64/libz.so.1 (0x0000003ab7a00000)
	libdl.so.2 => /lib64/libdl.so.2 (0x0000003ab7200000)
	libutil.so.1 => /lib64/libutil.so.1 (0x0000003ab8a00000)
	libc.so.6 => /lib64/libc.so.6 (0x0000003ab6e00000)
	/lib64/ld-linux-x86-64.so.2 (0x0000003ab6a00000)
# cat /etc/redhat-release 
CentOS release 6.4 (Final)
# ps -e| grep shell
26101 ?        00:00:00 shellinaboxd
26102 ?        00:00:00 shellinaboxd

shellinaboxd is not linked to libssl.so, it does not use OpenSSL at all and as such does not have a requirement or build requirement on OpenSSL.

On Fedora the requirements/libraries used are the same.
Comment 2 Simone Caronni 2013-06-11 08:30:18 EDT
Nope, sorry, it is hardcoded in the source:

$ grep -R libssl.so *
debian/changelog:  * Added support for runtime naming of the libssl so library.
libhttp/ssl.c:  // libraries. As libssl.so can depend on libcrypto.so, we try to load
libhttp/ssl.c:  // it, iff we haven't tried loading it before and iff libssl.so does not
libhttp/ssl.c:  // soname of libssl for systems where it is not libssl.so.
libhttp/ssl.c:    path_libssl = "libssl.so";
Comment 3 Sven Sternberger 2013-06-11 08:41:21 EDT
(In reply to Simone Caronni from comment #2)
> Nope, sorry, it is hardcoded in the source:
> 
so strace gives me:

strace -f -e open shellinaboxd -u shellinabox -g shellinabox --cert=/var/lib/shellinabox --port=4200 2>&1 |grep ssl

open("/usr/lib64/libssl.so", O_RDONLY)  = 4
open("/usr/lib64/libssl.so", O_RDONLY)  = 4
Comment 4 Fedora Update System 2013-06-11 09:50:21 EDT
shellinabox-2.14-24.git88822c1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/shellinabox-2.14-24.git88822c1.fc18
Comment 5 Fedora Update System 2013-06-11 09:50:47 EDT
shellinabox-2.14-24.git88822c1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/shellinabox-2.14-24.git88822c1.fc19
Comment 6 Fedora Update System 2013-06-11 09:51:08 EDT
shellinabox-2.14-24.git88822c1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/shellinabox-2.14-24.git88822c1.el5
Comment 7 Fedora Update System 2013-06-11 09:51:24 EDT
shellinabox-2.14-24.git88822c1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/shellinabox-2.14-24.git88822c1.el6
Comment 8 Fedora Update System 2013-06-11 09:51:48 EDT
shellinabox-2.14-24.git88822c1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/shellinabox-2.14-24.git88822c1.fc17
Comment 9 Fedora Update System 2013-06-11 13:32:28 EDT
Package shellinabox-2.14-24.git88822c1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing shellinabox-2.14-24.git88822c1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10415/shellinabox-2.14-24.git88822c1.el5
then log in and leave karma (feedback).
Comment 10 Sven Sternberger 2013-06-12 08:05:22 EDT
Tested the rpm on my boxes (SL6.4/64bit), looks good. 
Thank you for your quick response.
Comment 11 Fedora Update System 2013-06-12 16:10:20 EDT
shellinabox-2.14-24.git88822c1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-06-19 22:32:58 EDT
shellinabox-2.14-24.git88822c1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-06-19 22:33:19 EDT
shellinabox-2.14-24.git88822c1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-06-26 15:06:47 EDT
shellinabox-2.14-24.git88822c1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-06-29 14:17:03 EDT
shellinabox-2.14-24.git88822c1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.